using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFaultServerityLevel {
        public BemsFaultServerityLevel() {
            BemsFaultDiagnosis = new HashSet<BemsFaultDiagnosis>();
        }

        //고장진단 심각성 레벨코드
        [Display(Name = "결함타입"), Key]
        public int FaultTypeId { get; set; }
        [Display(Name = "심각성 레벨"), Key]
        public int ServerityLevel { get; set; }
        [Display(Name = "임계치"), Required]
        public double Threshold { get; set; }
        [Display(Name = "비고사항")]
        [StringLength(50)]
        public string Comment { get; set; }

        [ForeignKey("FaultTypeId")]
        public virtual BemsFaultType FaultType { get; set; }
        [InverseProperty("BemsFaultServerityLevel")]
        public virtual ICollection<BemsFaultDiagnosis> BemsFaultDiagnosis { get; set; }
    }
}
